Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Move dimension text programatically?

4 REPLIES 4
Reply
Message 1 of 5
mdhutchinson
627 Views, 4 Replies

Move dimension text programatically?

How can I move dimension text with lisp.
I tried the attached but can't seem to get it to work.
Help!
If this method can not be used is there a way to access the grip node and move through a grip edit programatically?
4 REPLIES 4
Message 2 of 5
Anonymous
in reply to: mdhutchinson

vla-put-insertionpoint seems to work. I'm sure
you could do it with vanilla lisp as well, although
I haven't tried.

(setq obj (vlax-ename->vla-object (car (nentsel))))

#

(setq pt (vlax-3d-point (getpoint)))
#

Command: (vla-put-insertionpoint obj pt)
nil

then regen or update the object.


--

-Jason
Member of the Autodesk Discussion Forum Moderator Program


"hutch" wrote in message news:f184b0c.-1@WebX.maYIadrTaRb...
> How can I move dimension text with lisp.
> I tried the attached but can't seem to get it to work.
> Help!
> If this method can not be used is there a way to access the grip node and move through a grip edit programatically?
Message 3 of 5
mdhutchinson
in reply to: mdhutchinson

not a bad idea but when I try this I get:
Error: ActiveX Server returned the error: unknown name: InsertionPoint

I copied your suggestion right to the command line.
Message 4 of 5
Anonymous
in reply to: mdhutchinson

I just copied it to the command line as well, and it worked.
You sure a character or somethin' didn't get whacked off
during the copy/paste? Just guessin'

--

-Jason
Member of the Autodesk Discussion Forum Moderator Program


"hutch" wrote in message news:f184b0c.1@WebX.maYIadrTaRb...
> not a bad idea but when I try this I get:
> Error: ActiveX Server returned the error: unknown name: InsertionPoint
> I copied your suggestion right to the command line.
>
Message 5 of 5
Ahankhah
in reply to: mdhutchinson

You must click directly on the text of dimension, then the code will work nicely.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost